[arch-commits] Commit in gimp-devel/trunk (PKGBUILD uri-backend-libcurl.patch)

Eric Bélanger eric at archlinux.org
Tue Jul 5 14:03:52 EDT 2011


    Date: Tuesday, July 5, 2011 @ 14:03:52
  Author: eric
Revision: 130357

upgpkg: gimp-devel 2.7.2-2
Switched to curl for URI support (close FS#12321), Fixed license, Fixed compilation with python support (close FS#23817), Added jasper support, Improved libwebkit optdepends description, Cleaned up depends and makedepends

Added:
  gimp-devel/trunk/uri-backend-libcurl.patch
Modified:
  gimp-devel/trunk/PKGBUILD

---------------------------+
 PKGBUILD                  |   35 +++++++++++++++++++----------------
 uri-backend-libcurl.patch |   44 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+), 16 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2011-07-05 17:56:19 UTC (rev 130356)
+++ PKGBUILD	2011-07-05 18:03:52 UTC (rev 130357)
@@ -3,43 +3,46 @@
 
 pkgname=gimp-devel
 pkgver=2.7.2
-pkgrel=1
+pkgrel=2
 pkgdesc="GNU Image Manipulation Program (Development Version)"
 arch=('i686' 'x86_64')
 url="http://www.gimp.org/"
-license=('GPL')
-depends=('gtk2' 'lcms' 'libxpm' 'libwmf' 'libxmu' 'librsvg' 'libmng' 'dbus-glib' \
-         'libexif' 'pygtk' 'desktop-file-utils' 'gegl' 'hicolor-icon-theme')
-makedepends=('gutenprint' 'intltool' 'libwebkit' 'gnome-python' 'poppler-glib' \
-             'pkg-config' 'alsa-lib' 'iso-codes')
+license=('GPL3' 'LGPL3')
+depends=('pygtk' 'lcms' 'libxpm' 'libwmf' 'librsvg' 'libmng' 'dbus-glib' \
+         'jasper' 'libexif' 'gegl' 'desktop-file-utils' 'hicolor-icon-theme')
+makedepends=('intltool' 'libwebkit' 'poppler-glib' 'alsa-lib' 'iso-codes' 'curl')
 optdepends=('gutenprint: for sophisticated printing only as gimp has built-in cups print support'
-            'libwebkit: for the help browser'
+            'libwebkit: for the help browser or web-page plug-ins'
             'poppler-glib: for pdf support'
-            'alsa-lib: for MIDI event controller module')
+            'alsa-lib: for MIDI event controller module'
+            'curl: for URI support')
 options=('!libtool' '!makeflags')
 conflicts=('gimp')
 provides=("gimp=${pkgver}")
 install=gimp-devel.install
-source=(ftp://ftp.gimp.org/pub/gimp/v${pkgver%.*}/gimp-${pkgver}.tar.bz2 linux.gpl)
+source=(ftp://ftp.gimp.org/pub/gimp/v${pkgver%.*}/gimp-${pkgver}.tar.bz2 linux.gpl 
+        uri-backend-libcurl.patch)
 md5sums=('6996138ab70b0bfebfe9f563284e5f78'
-         'bb27bc214261d36484093e857f015f38')
+         'bb27bc214261d36484093e857f015f38'
+         'b3f8faa246e5794b0d63583059f54698')
 sha1sums=('4690420961d110f99448c32fe61aae7d4869a863'
-          '110ce9798173b19a662d086ed7b882b4729f06cf')
+          '110ce9798173b19a662d086ed7b882b4729f06cf'
+          '8a87adc11ee13d5fce79ea4226f04e682a2af97d')
 
 build() {
   cd "${srcdir}/gimp-${pkgver}"
-  ./configure --prefix=/usr --sysconfdir=/etc \
+  patch -p1 < ../uri-backend-libcurl.patch
+  PYTHON=/usr/bin/python2 ./configure --prefix=/usr --sysconfdir=/etc \
     --enable-mp --enable-gimp-console --enable-gimp-remote \
-    --enable-python --with-gif-compression=lzw \
-    --without-aa --without-hal
+    --enable-python --with-gif-compression=lzw --with-libcurl \
+    --without-aa --without-hal --without-gvfs
   make
 }
 
 package() {
   cd "${srcdir}/gimp-${pkgver}"
-  make DESTDIR="${pkgdir}" install-strip
+  make DESTDIR="${pkgdir}" install
   sed -i 's|#!/usr/bin/env python|#!/usr/bin/env python2|' "${pkgdir}"/usr/lib/gimp/2.0/plug-ins/*.py
-
   install -D -m644 "${srcdir}/linux.gpl" "${pkgdir}/usr/share/gimp/2.0/palettes/Linux.gpl"
 
   ln -sf gimp-console-${pkgver%.*}.1.gz "${pkgdir}/usr/share/man/man1/gimp-console.1.gz"

Added: uri-backend-libcurl.patch
===================================================================
--- uri-backend-libcurl.patch	                        (rev 0)
+++ uri-backend-libcurl.patch	2011-07-05 18:03:52 UTC (rev 130357)
@@ -0,0 +1,44 @@
+diff -aur gimp-2.6.11/plug-ins/file-uri/uri-backend-libcurl.c gimp-2.6.11.patched/plug-ins/file-uri/uri-backend-libcurl.c
+--- gimp-2.6.11/plug-ins/file-uri/uri-backend-libcurl.c	2010-07-03 00:51:59.000000000 +0200
++++ gimp-2.6.11.patched/plug-ins/file-uri/uri-backend-libcurl.c	2011-06-23 19:15:30.000000000 +0200
+@@ -24,7 +23,6 @@
+ #include <errno.h>
+ 
+ #include <curl/curl.h>
+-#include <curl/types.h>
+ #include <curl/easy.h>
+ 
+ #include <glib/gstdio.h>
+@@ -63,7 +61,7 @@
+ 
+   vinfo = curl_version_info (CURLVERSION_NOW);
+ 
+-  protocols = g_string_new ("http:,ftp:");
++  protocols = g_string_new ("http:,ftp:,gopher:");
+ 
+   if (vinfo->features & CURL_VERSION_SSL)
+     {
+@@ -153,7 +151,7 @@
+   FILE      *out_file;
+   CURL      *curl_handle;
+   CURLcode   result;
+-  gint       response_code;
++  glong      response_code;
+ 
+   gimp_progress_init (_("Connecting to server"));
+ 
+@@ -195,12 +193,12 @@
+ 
+   curl_easy_getinfo (curl_handle, CURLINFO_RESPONSE_CODE, &response_code);
+ 
+-  if (response_code != 200)
++  if (response_code != 200 && response_code != 226 && response_code != 0)
+     {
+       fclose (out_file);
+       g_set_error (error, G_FILE_ERROR, G_FILE_ERROR_FAILED,
+                    _("Opening '%s' for reading resulted in HTTP "
+-                     "response code: %d"),
++                     "response code: %ld"),
+                    uri, response_code);
+       curl_easy_cleanup (curl_handle);
+       return FALSE;



More information about the arch-commits mailing list